scala
object BigInt

[source: `scala/BigInt.scala`]

`` `object` BigInt
  `extends` AnyRef

Author
  Martin Odersky
Version
  1.0, 15/07/2003

Method Summary
`def` | apply (bitlength : Int, certaInty : Int, rnd : Random) : BigInt Constructs a randomly generated positive BigInt that is probably prime, with the specified bitLength.
`def` | apply (i : Int) : BigInt Constructs a `BigInt` whose value is equal to that of the specified integer value.
`def` | apply (x : java.lang.String, radix : Int) : BigInt Translates the string representation of a BigInt in the specified `radix` into a BigInt.
`def` | apply (x : java.lang.String) : BigInt Translates the decimal String representation of a BigInt into a BigInt.
`def` | apply (numbits : Int, rnd : Random) : BigInt Constructs a randomly generated BigInt, uniformly distributed over the range 0 to (2 ^ numBits - 1), inclusive.
`def` | apply (signum : Int, magnitude : Array[Byte]) : BigInt Translates the sign-magnitude representation of a BigInt into a BigInt.
`def` | apply (x : Array[Byte]) : BigInt Translates a byte array containing the two's-complement binary representation of a BigInt into a BigInt.
`def` | apply (l : Long) : BigInt Constructs a `BigInt` whose value is equal to that of the specified long value.
`implicit def` | bigInt2ordered (x : BigInt) : Ordered[BigInt] Implicit conversion from BigInt to `Ordered`.
`implicit def` | int2bigInt (i : Int) : BigInt Implicit conversion from `int` to `BigInt`.
`implicit def` | long2bigInt (l : Long) : BigInt Implicit copnversion from long to BigInt
`def` | probablePrime (bitLength : Int, rnd : Random) : BigInt Returns a positive BigInt that is probably prime, with the specified bitLength.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` apply(i : Int) : BigInt

  Constructs a `BigInt` whose value is equal to that of the specified integer value.

Parameters
  `i -` the specified integer value
Returns
  the constructed `BigInt`

`` `def` apply(l : Long) : BigInt

  Constructs a `BigInt` whose value is equal to that of the specified long value.

Parameters
  `l -` the specified long value
Returns
  the constructed `BigInt`

`` `def` apply(x : Array[Byte]) : BigInt

  Translates a byte array containing the two's-complement binary representation of a BigInt into a BigInt.

`` `def` apply(signum : Int, magnitude : Array[Byte]) : BigInt

  Translates the sign-magnitude representation of a BigInt into a BigInt.

`` `def` apply(bitlength : Int, certaInty : Int, rnd : Random) : BigInt

  Constructs a randomly generated positive BigInt that is probably prime, with the specified bitLength.

`` `def` apply(numbits : Int, rnd : Random) : BigInt

  Constructs a randomly generated BigInt, uniformly distributed over the range 0 to (2 ^ numBits - 1), inclusive.

Parameters
  `numbits -` ...
  `rnd -` ...
Returns
  ...

`` `def` apply(x : java.lang.String) : BigInt

  Translates the decimal String representation of a BigInt into a BigInt.

`` `def` apply(x : java.lang.String, radix : Int) : BigInt

  Translates the string representation of a BigInt in the specified `radix` into a BigInt.

Parameters
  `x -` ...
  `radix -` ...
Returns
  ...

`` `def` probablePrime(bitLength : Int, rnd : Random) : BigInt

  Returns a positive BigInt that is probably prime, with the specified bitLength.

`implicit` `def` int2bigInt(i : Int) : BigInt

  Implicit conversion from `int` to `BigInt`.

`implicit` `def` long2bigInt(l : Long) : BigInt

  Implicit copnversion from long to BigInt

`implicit` `def` bigInt2ordered(x : BigInt) : Ordered[BigInt]

  Implicit conversion from BigInt to `Ordered`.